

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.9. clearlock &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.10. column_copy" href="column_copy.html" />
    <link rel="prev" title="7.3.8. check" href="check.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/clearlock.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="column_copy.html" title="7.3.10. column_copy"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="check.html" title="7.3.8. check"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.9. </span><code class="docutils literal notranslate"><span class="pre">clearlock</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="clearlock">
<h1><span class="section-number">7.3.9. </span><code class="docutils literal notranslate"><span class="pre">clearlock</span></code><a class="headerlink" href="#clearlock" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.9.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="deprecated">
<p><span class="versionmodified deprecated">Deprecated since version 4.0.9: </span>Use <a class="reference internal" href="lock_clear.html"><span class="doc">lock_clear</span></a> instead.</p>
</div>
<p>clearlock - オブジェクトにセットされたロックを解除する</p>
<p>Groonga組込コマンドの一つであるclearlockについて説明します。組込コマンドは、groonga実行ファイルの引数、標準入力、またはソケット経由でgroongaサーバにリクエストを送信することによって実行します。</p>
<p>clearlockは、対象となるオブジェクト(データベース,テーブル,インデックス等)を指定し、オブジェクトにかけられたロックを再帰的に解除します。</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.9.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>clearlock objname
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.9.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>開いているデータベースのロックをすべて解除する:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>clearlock
[true]
</pre></div>
</div>
<p>テーブル名 Entry のカラム body のロックを解除する:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>clearlock Entry.body
[true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.9.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p><code class="docutils literal notranslate"><span class="pre">objname</span></code></p>
<blockquote>
<div><p>対象となるオブジェクト名を指定します。空の場合、開いているdbオブジェクトが対象となります。</p>
</div></blockquote>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.9.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[成功かどうかのフラグ]
</pre></div>
</div>
<p><code class="docutils literal notranslate"><span class="pre">成功かどうかのフラグ</span></code></p>
<blockquote>
<div><p>エラーが生じなかった場合にはtrue、エラーが生じた場合にはfalseを返す。</p>
</div></blockquote>
</div>
<div class="section" id="see-also">
<h2><span class="section-number">7.3.9.6. </span>See also<a class="headerlink" href="#see-also" title="Permalink to this headline">¶</a></h2>
<p><a class="reference internal" href="load.html"><span class="doc">load</span></a></p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.9. <code class="docutils literal notranslate"><span class="pre">clearlock</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.9.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.9.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.9.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.9.4. Parameters</a></li>
<li><a class="reference internal" href="#return-value">7.3.9.5. Return value</a></li>
<li><a class="reference internal" href="#see-also">7.3.9.6. See also</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="check.html"
                        title="previous chapter"><span class="section-number">7.3.8. </span><code class="docutils literal notranslate"><span class="pre">check</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="column_copy.html"
                        title="next chapter"><span class="section-number">7.3.10. </span><code class="docutils literal notranslate"><span class="pre">column_copy</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="column_copy.html" title="7.3.10. column_copy"
             >next</a> |</li>
        <li class="right" >
          <a href="check.html" title="7.3.8. check"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.9. </span><code class="docutils literal notranslate"><span class="pre">clearlock</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>